Subject: bug#14513: 24.3.50; Site load-path pieces differ in MSYS build

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Jun 2013 18:37:15 +0300

> From: Juanma Barranquero <[email-masked]>
> Date: Wed, 5 Jun 2013 01:55:32 +0200
> Cc: Stefan Monnier <[email-masked]>, [email-masked], [email-masked]
> 
> I use ../site-lisp all the time. In /Devel/emacs/repo (which is the
> shared bzr repo) I have site-lisp, and the checkouts for emacs-24, an
> optimized build of trunk, a debug one, etc. (all built in-place). I
> also have older releases, but they don't cause me trouble with .elc
> because when I run an older Emacs is usually to check something and I
> run them under -Q (or -q --no-site-file).
> 
> With the MSYS build, I don't really want to do "make install" (too
> slow)

If "make install" is too slow, perhaps try disabling compression of
Lisp and Info files.

> and if I do, it's in-place, so the ability to share installation
> dirs between releases does not really do anything for me (not that
> is not a great feature, just that it doesn't match my use).

Anyway, I see nothing specific to Windows in this usage pattern.